#
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Python 2 SOAP client library
Summary(pl.UTF-8):	Biblioteka klienta SOAP dla Pythona 2
Name:		python-suds
Version:	0.8.4
Release:	1
License:	LGPL v3+
Group:		Development/Languages/Python
#Source0Download: https://github.com/suds-community/suds/releases
Source0:	https://github.com/suds-community/suds/archive/v%{version}/suds-%{version}.tar.gz
# Source0-md5:	d4c47fec087d81f9a02f70bcc48c92c4
Patch0:		%{name}-pytest.patch
URL:		https://github.com/suds-community/suds
%if %{with python2}
BuildRequires:	python-devel >= 1:2.4
%{?with_tests:BuildRequires:	python-pytest}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
%{?with_tests:BuildRequires:	python3-pytest}
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Suds is a lightweight SOAP Python client for consuming Web Services.

%description -l pl.UTF-8
Suds to lekka implementacja klienta SOAP dla języka Python.

%package -n python3-suds
Summary:	Python 3 SOAP client library
Summary(pl.UTF-8):	Biblioteka klienta SOAP dla Pythona 3
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-suds
Suds is a lightweight SOAP Python client for consuming Web Services.

%description -n python3-suds -l pl.UTF-8
Suds to lekka implementacja klienta SOAP dla języka Python.

%prep
%setup -q -n suds-%{version}
%patch0 -p1

%build
topdir=$(pwd)
%if %{with python2}
%py_build

#export LC_ALL=C.UTF-8 PYTHONIOENCODING=utf-8

PYTHONPATH=$(pwd)/build-2/lib \
%{__python} -m pytest tests
%endif

%if %{with python3}
%py3_build

# python2 version of suds (before 2to3) must not be in cwd when running python3 tests
cd build-3
PYTHONPATH=$(pwd)/lib \
%{__python3} -m pytest ../tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md TODO.txt
%{py_sitescriptdir}/suds
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/suds_community-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-suds
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md TODO.txt
%{py3_sitescriptdir}/suds
%{py3_sitescriptdir}/suds_community-%{version}-py*.egg-info
%endif
%changelog
* Thu Mar 26 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-suds.git;a=log;h=master

* Thu Mar 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 358049b
- added pytest patch (kill pytest deprecation warnings)

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 1f0ad84
- try harder

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 003fdca
- try with PYTHONIOENCODING

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ee1734
- updated to 0.8.4 from suds-community fork

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 954ff4e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b5fc858
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 898eeb5
- automatic change: use py_build/py_install macros

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> cd1a2c9
- cosmetic

* Mon May 30 2011 zbyniu <zbyniu@pld-linux.org> d02108b
- up to 0.4.1

* Mon Apr 04 2011 Karol Krenski <charles@pld-linux.org> 488e2c7
- up to 0.4

* Fri Sep 10 2010 pawelz <pawelz@pld-linux.org> afcd5d0
- rel 2 (rebuild with python 2.7)

* Wed Jun 02 2010 sparky <sparky@pld-linux.org> 014cceb
- BR: python-devel

* Wed Jun 02 2010 pawelz <pawelz@pld-linux.org> 5c9c2e2
- initial PLD release

